# OpenLayers.Events.buttonclick

Extension event type for handling buttons on top of a dom element. This event type fires “buttonclick” on its <target> when a button was clicked. Buttons are detected by the “olButton” class.

This event type makes sure that button clicks do not interfere with other events that are registered on the same <element>.

#### Event types provided by this extension

- buttonclick Triggered when a button is clicked. Listeners receive an object with a buttonElement property referencing the dom element of the clicked button, and an buttonXY property with the click position relative to the button.

Summary

OpenLayers.Events.buttonclick | Extension event type for handling buttons on top of a dom element.
Constructor |
OpenLayers.Events.buttonclick | Construct a buttonclick event type.

### Constructor

### OpenLayers.Events.buttonclick

Construct a buttonclick event type. Applications are not supposed to create instances of this class - they are created on demand by OpenLayers.Events instances.

#### Parameters

target | {OpenLayers.Events} The events instance that the buttonclick event will be triggered on.

Close